clang 8.0.0

Public Member Functions | Protected Member Functions | List of all members
clang::threadSafety::til::Comparator< Self > Class Template Reference

`#include "clang/Analysis/Analyses/ThreadSafetyTraverse.h"`

Inheritance diagram for clang::threadSafety::til::Comparator< Self >:
[legend]

## Public Member Functions
bool | compareByCase (const SExpr *E1, const SExpr *E2)

## Protected Member Functions
Self * | self ()

## Detailed Description

### template<typename Self>
class clang::threadSafety::til::Comparator< Self >

Definition at line 311 of file ThreadSafetyTraverse.h.

## Member Function Documentation

## ◆ compareByCase()

template<typename Self>

bool clang::threadSafety::til::Comparator< Self >::compareByCase | ( | const SExpr * | E1,
|  | const SExpr * | E2
| ) |  |
| inline

Definition at line 316 of file ThreadSafetyTraverse.h.

## ◆ self()

template<typename Self>

Self* clang::threadSafety::til::Comparator< Self >::self | ( |  | ) |
| inline protected

Definition at line 313 of file ThreadSafetyTraverse.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/Analyses/ThreadSafetyTraverse.h